summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/skype4pidgin/README9
-rw-r--r--network/skype4pidgin/skype4pidgin.SlackBuild81
-rw-r--r--network/skype4pidgin/skype4pidgin.info14
-rw-r--r--network/skype4pidgin/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/network/skype4pidgin/README b/network/skype4pidgin/README
new file mode 100644
index 0000000000..5260825a85
--- /dev/null
+++ b/network/skype4pidgin/README
@@ -0,0 +1,9 @@
+This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view
+and chat with all your Skype buddies from within Pidgin/Adium.
+
+You still need Skype to be running to be able to use it, but it
+lets you keep a consistent user interface and use all the other
+nifty Pidgin/Adium plugins with it, like spell-checking or OTR
+encryption.
+
+This requires skype.
diff --git a/network/skype4pidgin/skype4pidgin.SlackBuild b/network/skype4pidgin/skype4pidgin.SlackBuild
new file mode 100644
index 0000000000..585ef37bea
--- /dev/null
+++ b/network/skype4pidgin/skype4pidgin.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for ejabberd
+
+# Copyright (c) 2010 Roberto Metere. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=skype4pidgin
+VERSION=20110407
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+ar x $CWD/$PRGNAM.deb data.tar.gz
+tar xpf data.tar.gz
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+mv usr/share $PKG/usr
+if [ "$ARCH" == "arm" ]; then
+ mv usr/lib/purple-2/libskypearm.so $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+else
+ mv usr/lib/purple-2/libskype${LIBDIRSUFFIX}.so $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+ mv usr/lib/purple-2/libskype_dbus${LIBDIRSUFFIX}.so $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README.txt $CWD/CHANGELOG.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/skype4pidgin/skype4pidgin.info b/network/skype4pidgin/skype4pidgin.info
new file mode 100644
index 0000000000..6d2d07afde
--- /dev/null
+++ b/network/skype4pidgin/skype4pidgin.info
@@ -0,0 +1,14 @@
+PRGNAM="skype4pidgin"
+VERSION="20110407"
+HOMEPAGE="http://eion.robbmob.com/"
+DOWNLOAD="http://eion.robbmob.com/skype4pidgin.deb \
+ http://eion.robbmob.com/README.txt \
+ http://eion.robbmob.com/CHANGELOG.txt"
+MD5SUM="964ef2bae9c2e6cda70096a75466d120 \
+ 4228f6a3d3d176a0b5ac6feaa865e6ae \
+ 21cb6630e707169619a87c8814997d95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto{at}metere{dot}it"
+APPROVED="rworkman"
diff --git a/network/skype4pidgin/slack-desc b/network/skype4pidgin/slack-desc
new file mode 100644
index 0000000000..375e2ae4a8
--- /dev/null
+++ b/network/skype4pidgin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+skype4pidgin: skype4pidgin (skype plugin for pidgin)
+skype4pidgin:
+skype4pidgin: skype4pidgin lets you view and chat with all of
+skype4pidgin: your Skype buddies from within Pidgin/Adium.
+skype4pidgin:
+skype4pidgin:
+skype4pidgin:
+skype4pidgin:
+skype4pidgin:
+skype4pidgin:
+skype4pidgin: